Skip to main content

Update a mileage check-in.

PUT 

/api/vehicles/checkin/mileage/:id

Update a mileage check-in.

Request

Path Parameters

    id stringrequired

    The id of the checkin

Body

required

    licensePlate stringrequired

    License plate number of the vehicle.

    mileage int32required

    Current Mileage of vehicle. If this is not the first check-in the mileage will be validated against other check-ins and needs to equal or exceed those.

    licensePhotos

    object[]

    Photos of the license plate. At this time only photo is supported

  • Array [

  • url stringrequired

    Url of the photo. The photo needs to be uploaded via the Photo Upload API.

  • ]

  • odometerPhotos

    object[]

    Photos of the odometer. At this time only photo is supported

  • Array [

  • url stringrequired

    Url of the photo. The photo needs to be uploaded via the Photo Upload API.

  • ]

Responses

OK

Schema

    id string

    Id of the checkin

    license string

    License plate number

    adminNote string

    Admin generated note. Usually used for on-hold or declined check-ins

    checkedInAt string

    Check-in date

    checkInStatus string

    Possible values: [Confirmed, Declined, OnHold, Pending]

    Status of the check-in

    mileage int32

    Mileage at time of check-in

    nextCheckInDate string

    A indicative time for the next check-in. If the check-ins are allowed at a specific cadence this value will carry the next recommended check-in date. When more complex rules are allowed this field should not be used.

    updated string

    Last updated on

    licensePhotos

    object[]

    The photo of the license plate

  • Array [

  • photoUrl string

    URL of the photo

    latitude double

    Latitude at which photo was taken

    longitude double

    Longitude at which photo was taken

  • ]

  • odometerPhotos

    object[]

    The photo of the odometer

  • Array [

  • photoUrl string

    URL of the photo

    latitude double

    Latitude at which photo was taken

    longitude double

    Longitude at which photo was taken

  • ]

  • fraud boolean
Loading...